@echo off
setlocal enabledelayedexpansion

:: Установка переменных
set "ROOT_DIR=%~dp0"
set "WGET=%ROOT_DIR%program\wget.exe"
set "URL=https://sourceforge.net/projects/djvu/files/DjVuLibre_Windows/3.5.28%%2B4.12/DjVuLibre-3.5.28_DjView-4.12_Setup.exe/download"
set "INSTALLER=DjVuLibre-3.5.28_DjView-4.12_Setup.exe"
set "EXTRACT_DIR=%ROOT_DIR%temp"
set "TARGET_DIR=program\djvu"
set "Zip=%ROOT_DIR%program\7z.exe"


:: Скачивание установщика
echo Загрузка установщика...
"%WGET%" --no-check-certificate -O "%INSTALLER%" "%URL%"
if errorlevel 1 (
    echo Ошибка загрузки файла
    exit /b 1
)

:: Распаковка архива
echo Распаковка архива...
"%Zip%" x -o"%EXTRACT_DIR%" "%INSTALLER%" -y >nul
if errorlevel 1 (
    echo Ошибка распаковки
    exit /b 1
)

:: Создание целевой директории
if not exist "%TARGET_DIR%" mkdir "%TARGET_DIR%"

:: Поиск и копирование файлов
for %%F in (libz.dll ddjvu.exe libdjvulibre.dll libjpeg.dll libtiff.dll) do (
    echo Копирование %%F...
    for /r "%EXTRACT_DIR%" %%I in (%%F) do (
        if exist "%%I" copy /y "%%I" "%TARGET_DIR%\" >nul
    )
)

:: Удаление временных файлов
rmdir /s /q "%EXTRACT_DIR%"
del /q "%INSTALLER%"

echo Операция успешно завершена!